NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Routing.SBendCornerCollection Class Reference

Represents a collection of NXOpen.Routing.SBendCorner objects. More...

Inheritance diagram for NXOpen.Routing.SBendCornerCollection:
NXOpen.TaggedObjectCollection NXOpen.Utilities.NXRemotableObject IEnumerable IMessageSink

Public Member Functions

unsafe bool ComputeSBend (NXOpen.Point3d startPnt, NXOpen.Point3d endPnt, NXOpen.Vector3d lineVec1, NXOpen.Vector3d lineVec2, double radius, int sbendType, out NXOpen.Spline bendCurve)
 Compute a S-Bend curve given input. More...
 
unsafe bool ComputeSBendData (NXOpen.Point3d startPnt, NXOpen.Point3d endPnt, NXOpen.Vector3d lineVec1, NXOpen.Vector3d lineVec2, double radius, int sbendType, out NXOpen.Point3d extensionPt1, out NXOpen.Point3d extensionPt2, out NXOpen.Point3d arc1StartPt, out NXOpen.Point3d arc1EndPt, out NXOpen.Point3d arc2StartPt, out NXOpen.Point3d arc2EndPt)
 Compute a S-Bend parameters given input. More...
 
unsafe NXOpen.Routing.SBendCorner CreateCornerByBendRadius (NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, double bendRadius, int sbendType)
 Creates a S-Bend corner between the start rcp and end rcp using a bend radius. More...
 
unsafe NXOpen.Routing.SBendCorner CreateCornerByBendRatio (NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, double bendRatio, int sbendType)
 Creates a S-Bend corner between the start rcp and end rcp using a bend ratio. More...
 
unsafe NXOpen.Routing.SBendCorner CreateCornerBySegBendRadius (NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, NXOpen.Routing.SplineSegment segment, int sbendType, double bendRadius)
 Creates a S-Bend corner between the start rcp and end rcp using a NXOpen.Routing.SplineSegment and a bend radius. More...
 
unsafe NXOpen.Routing.SBendCorner CreateCornerBySegBendRatio (NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, NXOpen.Routing.SplineSegment segment, int sbendType, double bendRatio)
 Creates a S-Bend corner between the start rcp and end rcp using a NXOpen.Routing.SplineSegment and a bend ratio. More...
 
unsafe void EditCornerByBendRadius (NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, double bendRadius, int sbendType, NXOpen.Routing.SBendCorner sbend)
 Edits a selected S-Bend corner between the start rcp and end rcp using a bend radius. More...
 
unsafe void EditCornerByBendRatio (NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, double bendRatio, int sbendType, NXOpen.Routing.SBendCorner sbend)
 Edits a S-Bend corner between the start rcp and end rcp using a bend ratio. More...
 
unsafe double GetRcpSBendRadius (NXOpen.Routing.ControlPoint rcp)
 Gets the S-Bend radius of a rcp associated S-Bend corner. More...
 
unsafe NXOpen.Routing.SBendCorner[] GetSBendAssociatedToRcp (NXOpen.Routing.ControlPoint rcp)
 Given a control point, get S-Bend corners pointing to it More...
 
unsafe NXOpen.Routing.SBendCorner GetSBendAssociatedToSegment (NXOpen.Routing.SplineSegment segment)
 Enquire the S-Bend Corner that this segment represents. More...
 
unsafe double GetSegmentSBendRadius (NXOpen.Routing.SplineSegment segment)
 Gets the bend radius of a segment associated S-Bend corner. More...
 
unsafe bool IsRcpAssociatedToSBend (NXOpen.Routing.ControlPoint rcp)
 Determines if the rcp is associated to an S-Bend corner. More...
 
NXOpen.Routing.SBendCorner[] ToArray ()
 Returns an array of NXOpen.Routing.SBendCorner objects. More...
 
- Public Member Functions inherited from NXOpen.TaggedObjectCollection
IEnumerator GetEnumerator ()
 Returns an enumerator that iterates through a collection. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObjectCollection
new void initialize ()
 <exclude> More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.Routing.SBendCorner objects.

To obtain an instance of this class, refer to NXOpen.Routing.RouteManager

Created in NX4.0.0

Member Function Documentation

unsafe bool NXOpen.Routing.SBendCornerCollection.ComputeSBend ( NXOpen.Point3d  startPnt,
NXOpen.Point3d  endPnt,
NXOpen.Vector3d  lineVec1,
NXOpen.Vector3d  lineVec2,
double  radius,
int  sbendType,
out NXOpen.Spline  bendCurve 
)
inline

Compute a S-Bend curve given input.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startPntStart point of a S-Bend.
endPntend point of a S-Bend.
lineVec1First S-Bend defining vector.
lineVec2Second S-Bend defining vector.
radiusRadius to use for a S-Bend
sbendTypeValid values: ROUTE_SBEND_TYPE_[1-5].
bendCurveS-Bend spline when a valid solution exists; a null reference (Nothing in Visual Basic) otherwise.
Returns
TURE: if S-Bend is possible; FALSE: otherwise.
unsafe bool NXOpen.Routing.SBendCornerCollection.ComputeSBendData ( NXOpen.Point3d  startPnt,
NXOpen.Point3d  endPnt,
NXOpen.Vector3d  lineVec1,
NXOpen.Vector3d  lineVec2,
double  radius,
int  sbendType,
out NXOpen.Point3d  extensionPt1,
out NXOpen.Point3d  extensionPt2,
out NXOpen.Point3d  arc1StartPt,
out NXOpen.Point3d  arc1EndPt,
out NXOpen.Point3d  arc2StartPt,
out NXOpen.Point3d  arc2EndPt 
)
inline

Compute a S-Bend parameters given input.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startPntStart point of a S-Bend.
endPntend point of a S-Bend.
lineVec1First S-Bend defining vector.
lineVec2Second S-Bend defining vector.
radiusRadius to use for a S-Bend
sbendTypeValid values: ROUTE_SBEND_TYPE_[1-5].
extensionPt1Location of 1st extension point where bend fillets could be assigned. Value is not valid when no S-Bend is possible.
extensionPt2Location of 2nd extension point where bend fillets could be assigned.
arc1StartPtPoint where the first bend arc starts. Only computed if not a null reference (Nothing in Visual Basic).
arc1EndPtPoint where the first bend arc ends. Only computed if not a null reference (Nothing in Visual Basic).
arc2StartPtPoint where the second bend arc starts. Only computed if not a null reference (Nothing in Visual Basic).
arc2EndPtPoint where the second bend arc ends. Only computed if not a null reference (Nothing in Visual Basic).
Returns
TURE: if S-Bend is possible; FALSE: otherwise.
unsafe NXOpen.Routing.SBendCorner NXOpen.Routing.SBendCornerCollection.CreateCornerByBendRadius ( NXOpen.Routing.ControlPoint  startRcp,
NXOpen.Routing.ControlPoint  endRcp,
double  bendRadius,
int  sbendType 
)
inline

Creates a S-Bend corner between the start rcp and end rcp using a bend radius.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startRcpStart rcp must not be a null reference (Nothing in Visual Basic).
endRcpEnd rcp must not be a null reference (Nothing in Visual Basic).
bendRadiusBend radius.
sbendTypeValid values: ROUTE_SBEND_TYPE_[1-5].
Returns
The newly created S-Bend Corner
unsafe NXOpen.Routing.SBendCorner NXOpen.Routing.SBendCornerCollection.CreateCornerByBendRatio ( NXOpen.Routing.ControlPoint  startRcp,
NXOpen.Routing.ControlPoint  endRcp,
double  bendRatio,
int  sbendType 
)
inline

Creates a S-Bend corner between the start rcp and end rcp using a bend ratio.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startRcpStart rcp must not be a null reference (Nothing in Visual Basic).
endRcpEnd rcp must not be a null reference (Nothing in Visual Basic).
bendRatioBend ratio.
sbendTypeValid values: ROUTE_SBEND_TYPE__[1-5].
Returns
The newly created S-Bend Corner
unsafe NXOpen.Routing.SBendCorner NXOpen.Routing.SBendCornerCollection.CreateCornerBySegBendRadius ( NXOpen.Routing.ControlPoint  startRcp,
NXOpen.Routing.ControlPoint  endRcp,
NXOpen.Routing.SplineSegment  segment,
int  sbendType,
double  bendRadius 
)
inline

Creates a S-Bend corner between the start rcp and end rcp using a NXOpen.Routing.SplineSegment and a bend radius.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startRcpStart rcp must not be a null reference (Nothing in Visual Basic).
endRcpEnd rcp must not be a null reference (Nothing in Visual Basic).
segmentSegment representing the path of the S-Bend.
sbendTypeValid values: ROUTE_SBEND_TYPE__[1-5].
bendRadiusS-Bend radius.
Returns
The newly created S-Bend corner object.
unsafe NXOpen.Routing.SBendCorner NXOpen.Routing.SBendCornerCollection.CreateCornerBySegBendRatio ( NXOpen.Routing.ControlPoint  startRcp,
NXOpen.Routing.ControlPoint  endRcp,
NXOpen.Routing.SplineSegment  segment,
int  sbendType,
double  bendRatio 
)
inline

Creates a S-Bend corner between the start rcp and end rcp using a NXOpen.Routing.SplineSegment and a bend ratio.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startRcpStart rcp must not be a null reference (Nothing in Visual Basic).
endRcpEnd rcp must not be a null reference (Nothing in Visual Basic).
segmentSegment representing the path of the S-Bend.
sbendTypeValid values: ROUTE_SBEND_TYPE__[1-5].
bendRatioS-Bend ratio.
Returns
The newly created S-Bend corner object.
unsafe void NXOpen.Routing.SBendCornerCollection.EditCornerByBendRadius ( NXOpen.Routing.ControlPoint  startRcp,
NXOpen.Routing.ControlPoint  endRcp,
double  bendRadius,
int  sbendType,
NXOpen.Routing.SBendCorner  sbend 
)
inline

Edits a selected S-Bend corner between the start rcp and end rcp using a bend radius.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startRcpStart rcp must not be a null reference (Nothing in Visual Basic).
endRcpEnd rcp must not be a null reference (Nothing in Visual Basic).
bendRadiusBend radius.
sbendTypeValid values: ROUTE_SBEND_TYPE_[1-5].
sbendS-Bend Corner to be edited.
unsafe void NXOpen.Routing.SBendCornerCollection.EditCornerByBendRatio ( NXOpen.Routing.ControlPoint  startRcp,
NXOpen.Routing.ControlPoint  endRcp,
double  bendRatio,
int  sbendType,
NXOpen.Routing.SBendCorner  sbend 
)
inline

Edits a S-Bend corner between the start rcp and end rcp using a bend ratio.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startRcpStart rcp must not be a null reference (Nothing in Visual Basic).
endRcpEnd rcp must not be a null reference (Nothing in Visual Basic).
bendRatioBend ratio.
sbendTypeValid values: ROUTE_SBEND_TYPE__[1-5].
sbendS-Bend Corner to be edited.
override int NXOpen.Routing.SBendCornerCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
inlineprotectedvirtual

Advances the enumerator to the next element of the collection.

Implements NXOpen.TaggedObjectCollection.

unsafe double NXOpen.Routing.SBendCornerCollection.GetRcpSBendRadius ( NXOpen.Routing.ControlPoint  rcp)
inline

Gets the S-Bend radius of a rcp associated S-Bend corner.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
rcpThe control point.
Returns
The bend radius.
unsafe NXOpen.Routing.SBendCorner [] NXOpen.Routing.SBendCornerCollection.GetSBendAssociatedToRcp ( NXOpen.Routing.ControlPoint  rcp)
inline

Given a control point, get S-Bend corners pointing to it

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
rcpInput control point
Returns
Corner objects pointing to the rcp.
unsafe NXOpen.Routing.SBendCorner NXOpen.Routing.SBendCornerCollection.GetSBendAssociatedToSegment ( NXOpen.Routing.SplineSegment  segment)
inline

Enquire the S-Bend Corner that this segment represents.

(a null reference (Nothing in Visual Basic) can be returned, indicating that this segment does not represent a S-Bend Corner.)

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
segmentSegment being queried for the S-Bend Corner it represents.
Returns
S-Bend Corner that segment represents (a null reference (Nothing in Visual Basic) can be returned,indicating that segment does not represent a S-Bend Corner).
unsafe double NXOpen.Routing.SBendCornerCollection.GetSegmentSBendRadius ( NXOpen.Routing.SplineSegment  segment)
inline

Gets the bend radius of a segment associated S-Bend corner.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
segmentThe segment associated with the S-Bend corner
Returns
The bend radius.
unsafe bool NXOpen.Routing.SBendCornerCollection.IsRcpAssociatedToSBend ( NXOpen.Routing.ControlPoint  rcp)
inline

Determines if the rcp is associated to an S-Bend corner.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
rcpControl point to be interrogated.
Returns
true - The control point is a rcp for a S-Bend corner. false - Otherwise
NXOpen.Routing.SBendCorner [] NXOpen.Routing.SBendCornerCollection.ToArray ( )
inline

Returns an array of NXOpen.Routing.SBendCorner objects.

Property Documentation

Tag NXOpen.Routing.SBendCornerCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.